package com.tzld.longarticle.recommend.server.repository.entity.aigc;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Entity
@Table(name = "crawler_meta_article")
public class CrawlerMetaArticle implements Serializable {

    @Id
    @Column(name = "article_id")
    private Long article_id;
    @Column(name = "platform")
    private String platform;
    @Column(name = "mode")
    private String mode;
    @Column(name = "category")
    private String category;
    @Column(name = "out_account_id")
    private String outAccountId;
    @Column(name = "title")
    private String title;
    @Column(name = "link")
    private String link;
    @Column(name = "read_cnt")
    private Integer readCnt;
    @Column(name = "like_cnt")
    private Integer likeCnt;
    @Column(name = "description")
    private String description;
    @Column(name = "publish_time")
    private Long publishTime;
    @Column(name = "crawler_time")
    private Long crawlerTime;
    @Column(name = "score")
    private Double score;
    @Column(name = "status")
    private Integer status;
    @Column(name = "channel_content_id")
    private String channelContentId;
    @Column(name = "unique_index")
    private String uniqueIndex;
}
