package com.tzld.longarticle.recommend.server.common;

import com.tzld.longarticle.recommend.server.util.HttpClientFactory;
import org.apache.http.impl.client.CloseableHttpClient;

/**
 * @author dyp
 */
public final class HttpPoolFactory {
    private static CloseableHttpClient DEFAULT =
            HttpClientFactory.create(1000, 1000, 200, 200, 0, 1000);

    private static CloseableHttpClient AIGC =
            HttpClientFactory.create(10000, 10000, 200, 200, 0, 10000);

    private static CloseableHttpClient NLP =
            HttpClientFactory.create(15000, 15000, 200, 200, 0, 15000);

    private static CloseableHttpClient ThirtySecond =
            HttpClientFactory.create(30000, 30000, 200, 200, 0, 30000);


    public static CloseableHttpClient defaultPool() {
        return DEFAULT;
    }

    public static CloseableHttpClient aigcPool() {
        return AIGC;
    }

    public static CloseableHttpClient nlpPool() {
        return NLP;
    }

    public static CloseableHttpClient thirtySecondPool() {
        return ThirtySecond;
    }

}
