package com.tzld.longarticle.recommend.server.service.rank;

import com.tzld.longarticle.recommend.server.model.Content;
import lombok.Data;

import java.util.Map;

/**
 * @author dyp
 */
@Data
public class RankItem {
    private Content content;
    private Map<String, Double> scoreMap;
    private double score;

    public double getScore(String strategy) {
        return scoreMap.get(strategy) == null
                ? 0.0
                : scoreMap.get(strategy);
    }

}
