package com.tzld.longarticle.recommend.server.web;

import com.tzld.longarticle.recommend.server.model.RecommendRequest;
import com.tzld.longarticle.recommend.server.model.RecommendResponse;
import com.tzld.longarticle.recommend.server.service.RecommendService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author dyp
 */
@RestController
@Slf4j
public class RecommendController {
    @Autowired
    private RecommendService recommendService;

    @RequestMapping("/recommend")
    public RecommendResponse homepageRecommend(@RequestBody RecommendRequest httpRequest) {

        return recommendService.recommend(httpRequest);
    }

}
